# Uses of Class
org.springframework.jdbc.SQLWarningException

Packages that use SQLWarningException
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.

## Uses of SQLWarningException in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core that throw SQLWarningException
Modifier and Type
Method
Description
`protected void`
JdbcTemplate.`handleWarnings(SQLWarning warning)`
Throw a `SQLWarningException` if encountering an actual warning.
`protected void`
JdbcTemplate.`handleWarnings(Statement stmt)`
Handle the warnings for the given JDBC statement, if any.